project/new-project/src/Entity/UserName.php
<?php

namespace App\Entity;

use App\Repository\UserNameRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: UserNameRepository::class)]
class UserName
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'string', length: 255)]
    private $first_name;

    #[ORM\Column(type: 'string', length: 255)]
    private $last_name;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFirstName(): ?string
    {
        return $this->first_name;
    }

    public function setFirstName(string $first_name): self
    {
        $this->first_name = $first_name;

        return $this;
    }

    public function getLastName(): ?string
    {
        return $this->last_name;
    }

    public function setLastName(string $last_name): self
    {
        $this->last_name = $last_name;

        return $this;
    }
}

project/new-project/src/Form/UserNameType.php
<?php

namespace App\Form;

use App\Entity\UserName;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class UserNameType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('first_name')
            ->add('last_name')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => UserName::class,
        ]);
    }
}

project/new-project/src/Controller/UsernameController.php
<?php

namespace App\Controller;

use App\Entity\UserName;
use App\Form\UserNameType;
use App\Repository\UserNameRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/username')]
class UsernameController extends AbstractController
{
    #[Route('/', name: 'app_username_index', methods: ['GET'])]
    public function index(UserNameRepository $userNameRepository): Response
    {
        return $this->render('username/index.html.twig', [
            'user_names' => $userNameRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_username_new', methods: ['GET', 'POST'])]
    public function new(Request $request, UserNameRepository $userNameRepository): Response
    {
        $userName = new UserName();
        $form = $this->createForm(UserNameType::class, $userName);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $userNameRepository->add($userName);
            return $this->redirectToRoute('app_username_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('username/new.html.twig', [
            'user_name' => $userName,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_username_show', methods: ['GET'])]
    public function show(UserName $userName): Response
    {
        return $this->render('username/show.html.twig', [
            'user_name' => $userName,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_username_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, UserName $userName, UserNameRepository $userNameRepository): Response
    {
        $form = $this->createForm(UserNameType::class, $userName);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $userNameRepository->add($userName);
            return $this->redirectToRoute('app_username_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('username/edit.html.twig', [
            'user_name' => $userName,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_username_delete', methods: ['POST'])]
    public function delete(Request $request, UserName $userName, UserNameRepository $userNameRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$userName->getId(), $request->request->get('_token'))) {
            $userNameRepository->remove($userName);
        }

        return $this->redirectToRoute('app_username_index', [], Response::HTTP_SEE_OTHER);
    }
}

project/new-project/templates/base.html.twig
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </head>
    <body>
    <main >
    <nav class="navbar navbar-expand-lg navbar-light bg-success">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{{ path('app_username_index') }}">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Features</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Pricing</a>
        </li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-lg mt-3">

</div>
    </main>
        {% block body %}{% endblock %}

        <footer class="text-center text-white" style="background-color: #f1f1f1;">
  <!-- Grid container -->
  <div class="container pt-4">
    <!-- Section: Social media -->
    <section class="mb-4">
      <!-- Facebook -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-facebook-f"></i
      ></a>

      <!-- Twitter -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="https://twitter.com/HassanTAJIRI1"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-twitter"></i
      ></a>

      <!-- Google -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-google"></i
      ></a>

      <!-- Instagram -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="#!"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-instagram"></i
      ></a>

      <!-- Linkedin -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="https://www.linkedin.com/in/hassan-tajiri/"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-linkedin"></i
      ></a>
      <!-- Github -->
      <a
        class="btn btn-link btn-floating btn-lg text-dark m-1"
        href="https://github.com/HaSS-1"
        role="button"
        data-mdb-ripple-color="dark"
        ><i class="fab fa-github"></i
      ></a>
    </section>
    <!-- Section: Social media -->
  </div>
  <!-- Grid container -->

  <!-- Copyright -->
  <div class="text-center text-dark p-3" style="background-color: rgba(0, 0, 0, 0.2);">
    © 2022 Copyright:
    <a class="text-dark" href="https://gitlab.com/tajiri.hassan">Hassan TAJIRI</a>
  </div>
  <!-- Copyright -->
</footer>
    </body>
</html>

project/new-project/templates/username/_delete_form.html.twig
<div class="container-lg"></div><form method="post" action="{{ path('app_username_delete', {'id': user_name.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ user_name.id) }}">
    <button class=" btn btn-danger mt-3">Delete</button>
</form>
</div>

project/new-project/templates/username/_form.html.twig
{{ form_start(form) }}
<div class="mb-3">
    {{ form_widget(form) }}
    </div>
    <button class="btn btn-success">{{ button_label|default('Save') }}</button>
    
{{ form_end(form) }}

project/new-project/templates/username/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit UserName{% endblock %}

{% block body %}
<div class="container-lg">
<div class="col-12 bg-primary d-flex justify-content-center">
    <h1>Edit UserName</h1>

    {{ include('username/_form.html.twig', {'button_label': 'Update'}) }}

    <a class="btn btn-primary" href="{{ path('app_username_index') }}">back to list</a>

    {{ include('username/_delete_form.html.twig') }}
    </div>
    </div>
{% endblock %}

project/new-project/templates/username/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}UserName index{% endblock %}

{% block body %}
<div class="container-lg">
<div class="col-12 bg-primary d-flex justify-content-center">
    <h1 class="text-center text-light">UserName index</h1>
    </div>

    <table class="table border border-primary">
        <thead>
            <tr>
                <th>Id</th>
                <th>First_name</th>
                <th>Last_name</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user_name in user_names %}
            <tr>
                <td>{{ user_name.id }}</td>
                <td>{{ user_name.firstName }}</td>
                <td>{{ user_name.lastName }}</td>
                <td>
                    <a class="btn btn-primary" href="{{ path('app_username_show', {'id': user_name.id}) }}">show</a>
                    <a class="btn btn-danger" href="{{ path('app_username_edit', {'id': user_name.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="row">
    <a class="btn btn-danger mt-3" href="{{ path('app_username_new') }}">Create new</a>
    </div>
    </div>
{% endblock %}

project/new-project/templates/username/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New UserName{% endblock %}

{% block body %}
<div class="container-lg">
<div class="col-12 bg-primary d-flex justify-content-center mb-3">
    <h1>Create new UserName</h1>
</div>
    {{ include('username/_form.html.twig') }}
    
<div class="col-12 mt-3">
    <a class="btn btn-info" href="{{ path('app_username_index') }}">back to list</a>
    </div>
    </div>
{% endblock %}

project/new-project/templates/username/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}UserName{% endblock %}

{% block body %}
<div class="container-lg">
<div class="col-12 bg-primary d-flex justify-content-center">
    <h1>UserName</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ user_name.id }}</td>
            </tr>
            <tr>
                <th>First_name</th>
                <td>{{ user_name.firstName }}</td>
            </tr>
            <tr>
                <th>Last_name</th>
                <td>{{ user_name.lastName }}</td>
            </tr>
        </tbody>
    </table>
    </div>
    <div class="col-12">
    <a class="btn btn-danger" href="{{ path('app_username_index') }}">back to list</a>

    <a class="btn btn-warning text-white" href="{{ path('app_username_edit', {'id': user_name.id}) }}">edit</a>

    {{ include('username/_delete_form.html.twig') }}
    </div>
    </div>
{% endblock %}